> For the complete documentation index, see [llms.txt](https://help.paintscout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.paintscout.com/developers/settings-quote-templates.md).

# Settings   Quote Templates

## GET /settings/quoteTemplates

> List Quote Templates

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"QuoteTemplate":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the quote template.","readOnly":true},"label":{"type":"string","description":"The display label of the quote template."},"active":{"type":"boolean","description":"Whether this quote template is active & usable"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"The quote types this template applies to"}},"required":["id","label"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/quoteTemplates":{"get":{"summary":"List Quote Templates","operationId":"listQuoteTemplates","tags":["Settings - Quote Templates"],"responses":{"200":{"description":"List of quote templates","content":{"application/json":{"schema":{"type":"object","properties":{"totalRows":{"type":"number"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/QuoteTemplate"}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /settings/quoteTemplates/{id}

> Retrieve Quote Template

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"QuoteTemplate":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the quote template.","readOnly":true},"label":{"type":"string","description":"The display label of the quote template."},"active":{"type":"boolean","description":"Whether this quote template is active & usable"},"quoteTypes":{"type":"array","items":{"type":"string"},"description":"The quote types this template applies to"}},"required":["id","label"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/quoteTemplates/{id}":{"get":{"summary":"Retrieve Quote Template","operationId":"getQuoteTemplate","tags":["Settings - Quote Templates"],"parameters":[{"name":"id","in":"path","description":"ID of the Quote Template","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Details about the template","content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuoteTemplate"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.paintscout.com/developers/settings-quote-templates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
